boost::geometry::strategy::area::services::default_strategy< Tag, PointOfSegment > Struct Template Reference
area: calculate area of a Geometry

Traits class binding a default area strategy to a coordinate system. More...

List of all members.

## Public Member Functions

| BOOST_MPL_ASSERT_MSG (false, NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE,(types< PointOfSegment >))

## Detailed Description

### template<typename Tag, typename PointOfSegment>
struct boost::geometry::strategy::area::services::default_strategy< Tag, PointOfSegment >

Traits class binding a default area strategy to a coordinate system.

Template Parameters:

  Tag | tag of coordinate system
  PointOfSegment | point-type

## Member Function Documentation

template<typename Tag , typename PointOfSegment >

boost::geometry::strategy::area::services::default_strategy< Tag, PointOfSegment >::BOOST_MPL_ASSERT_MSG | ( | false | ,
|  | NOT_IMPLEMENTED_FOR_THIS_POINT_TYPE | ,
|  | (types< PointOfSegment >) |
| ) |  |

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK